Package org.pushingpixels.substance.internal.ui

# Class SubstancePanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
javax.swing.plaf.basic.BasicPanelUI
org.pushingpixels.substance.internal.ui.SubstancePanelUI

public class SubstancePanelUI extends BasicPanelUI
UI for panels in Substance look and feel.

## Constructor Summary

Constructors
Constructor
Description
`SubstancePanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installDefaults(JPanel p)`
`protected boolean`
`toPaintBackground(JComponent c)`
Returns indication whether the panel background should be filled.
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicPanelUI

`getBaseline, getBaselineResizeBehavior, installUI, uninstallDefaults, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstancePanelUI

public SubstancePanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults(JPanel p)

Overrides:
  `installDefaults` in class `BasicPanelUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`

### toPaintBackground

protected boolean toPaintBackground(JComponent c)
Returns indication whether the panel background should be filled.

Parameters:
  `c` - Component (should be `JPanel`).
Returns:
  `true` if the panel background should be filled with the background color, `false` otherwise.